import { Request, Response } from 'express';
import { resolveAddress } from './geocoding';
import { Address } from './types';
// DOME 
import { getAvailableTimeSlots } from './services/timeslotsService';
import { getHolidays } from './services/holidaysService';

export const resolveAddressHandler = (req: Request, res: Response) => {
  console.info("resolveAddressHandler called");
  const address: Promise<Address> = resolveAddress(req.body.searchTerm);
  address.then((result) => {
    console.info("resolveAddressHandler result: ", result);
    res.status(200).json(result);
  })  
}; 

export const timeslotsHandler = (req: Request, res: Response) => {
  // TODO: Implement timeslots functionality

  
};
 
export const deliveriesHandler = (req: Request, res: Response) => {
  // TODO: Implement deliveries functionality
};

export const cancelDeliveryHandler = (req: Request, res: Response) => {
  // TODO: Implement cancel delivery functionality
};

export const dailyDeliveriesHandler = (req: Request, res: Response) => {
  // TODO: Implement daily deliveries functionality
};

export const weeklyDeliveriesHandler = (req: Request, res: Response) => {
  // TODO: Implement weekly deliveries functionality
};
